"""create fruits table
Revision ID: 4a8c2f1e9d3b
Revises: 0001
Create Date: 2024-01-20 10:00:00.000000
"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = '4a8c2f1e9d3b'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'fruits',
        sa.Column('id', sa.String(36), primary_key=True),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=sa.func.now()),
    )
    op.create_index(op.f('ix_fruits_name'), 'fruits', ['name'], unique=True)

def downgrade():
    op.drop_index(op.f('ix_fruits_name'), table_name='fruits')
    op.drop_table('fruits')