from fastapi import APIRouter, Depends, HTTPException, status
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.fruit import FruitNamesResponse
from helpers.fruit_helpers import get_all_fruit_names

router = APIRouter()

@router.post("/names", response_model=FruitNamesResponse, status_code=status.HTTP_200_OK)
async def get_names(db: Session = Depends(get_db)):
    names = get_all_fruit_names(db)
    if not names:
        raise HTTPException(status_code=404, detail="No fruit names found")
    return {"names": names}